function [] = hist_iat(what, equi)
% hist_iat what equi
%  Create histogram of (what='f', 'w') all values, possibly equilizing

% $Id: hist_iat.m,v 1.1 1997/04/24 15:24:20 puhuri Exp puhuri $
% $Log: hist_iat.m,v $
% Revision 1.1  1997/04/24 15:24:20  puhuri
% Initial revision
%
%
%

if nargin < 2,
  equi = 0;
end

% Find out how much we have...
% (which measurement is underway..)
cwd=pwd;
diridx=findstr(cwd,'/');
mitta=cwd(diridx(length(diridx))+1:length(cwd));
[nowork, rest] = strtok(mitta, 'tw');
work=strtok(rest,'tw') ;             
nowork=str2num(nowork);
work=str2num(work);

if what(1) == 'f',
  fout = 'intervals.frames';
elseif what(1) == 'w',
  fout = 'intervals.writes';
else
  disp('what?');
  return
end
[fid, perror] = fopen(fout, 'wt');
if fid == -1,
  disp(sprintf('%s: %s', fout, perror));
  return
end

mins=zeros(1, work);
meds=mins;
maxs=mins;
hold off
for i = 0:work-1,
  if what(1) == 'f',
    nt=readmtrx(sprintf('sending.%d.ft',i));
    titlestr=sprintf('Kehykset: %s', mitta);
  elseif what(1) == 'w',
    nt=readmtrx(sprintf('net_write.%d.wr',i));
    titlestr=sprintf('Kirjoitukset: %s', mitta);
  end
  nw=zeros([length(nt)-1 1]);
  for j = 1:length(nt)-1, 
    nw(j)=nt(j+1)-nt(j);
  end
  nwi = timerange(25e6, 40e6, nt(2:length(nt)), nw);
  
  [N, X]=hist(log(nwi),50);
  lcolor = linecolor(i);
  [topN, topX] = top_bins(exp(X), N, 4);
  if equi == 1,
    N = N .* exp(X);
  end
  [XX YY] = bar(X, N);
  XX = exp(XX);
  semilogx(XX, YY, lcolor)

  if i == 0,
    hold on
    if equi == 1,
%      titlestr = sprintf('%s (skaalattu)', titlestr);
      titlestr = sprintf('%s (scaled)', titlestr);
    end
    % title(titlestr);
  end
  statstr = sprintf('%g %d\t%g %d\t%g %d\t%g %d\t%g %d\t%.2g\t%.2g\t%.2g', ...
      topX(1), topN(1), topX(2), topN(2), topX(3), topN(3), topX(4), ...
      topN(4), min(nwi), median(nwi), max(nwi));
  fprintf (fid, '%d: %s\n', i, statstr);
  disp(statstr)
  mins(i+1) = min(nwi);
  meds(i+1) = median(nwi);
  maxs(i+1) = max(nwi);
end
if what(1) == 'f',
xlabel('Interframe times (s)')
% xlabel('Kehysten vliajat (s)')
else
  xlabel('Kirjoitusten vliajat (s)')
end

%xlabel(sprintf('Vliajat: %g..%g..%.2g s', min(mins), median(meds), ...
%    max(maxs))) 
if equi == 1,
  ylabel('N*t')
else
  ylabel('N')
end
