function [] = hist_writes()
% hist_writes
%  Create histogram of all values

% $Id: hist_writes.m,v 1.2 1997/04/18 03:43:30 puhuri Exp $
% $Log: hist_writes.m,v $
% Revision 1.2  1997/04/18 03:43:30  puhuri
% End version.
%
% Revision 1.1  1997/04/17 13:45:41  puhuri
% Initial revision
%

% Basic variables
colors = [ 'y', 'm', 'c', 'r', 'g', 'b'];
lshape = [ ' - : -. -- '];
sdel = findstr(lshape, ' ');
pshape = [ '.', 'o', 'x', '+', '*'];

% Find out how much we have...
% (which measurement is underway..)
cwd=pwd;
diridx=findstr(cwd,'/');
mitta=cwd(diridx(length(diridx))+1:length(cwd));
[nowork, rest] = strtok(mitta, 'tw');
work=strtok(rest,'tw') ;             
nowork=str2num(nowork);
work=str2num(work);

mins=zeros(1, work);
meds=zeros(1, work);
maxs=zeros(1, work);
hold off
for i = 0:work-1,
  nw=readmtrx(sprintf('net_write.%d.wr',i));
  nwi=zeros([length(nw)-1 1]);
  for j = 1:length(nw)-1, 
    nwi(j)=nw(j+1)-nw(j);
  end
  [N, X]=hist(log10(nwi),50);
  lcolor = sprintf('%s%s', colors(rem(i, length(colors))+1), lshape(sdel(rem(i,length(sdel))+1)+1:sdel(rem(i+1,length(sdel))+1)-1));
  [XX YY] = bar(X, N);
  % plot(XX, YY, lcolor)
  X = exp(X*log(10));
  [Z, I] = max(N);
  XX = exp(XX*log(10));
  semilogx(XX, YY, lcolor)
%  disp(sprintf('%d: max bin=\t%g\t%g\t%g\t%g', i, X(I), min(nwi), ...
%      median(nwi), max(nwi)))
  [topN, topX] = top_bins(X, N, 3);
  disp(sprintf('%g %d\t%g %d\t%g %d\t%g %d\t%.2g\t%.2g\t%.2g', topX(1), ...
      topN(1), topX(2), topN(2), topX(3), topN(3), min(nwi), ...
      median(nwi), max(nwi)))
  %  disp(sprintf('%d: X =\t%g\t%g\t%g', i, min(X), median(X), max(X)))
  %  disp(sprintf('%d: XX=\t%g\t%g\t%g', i, min(XX), median(XX), max(XX)))
  if i == 0,
    hold on
    title(mitta);
  end
  mins(i+1) = min(nwi);
  meds(i+1) = median(nwi);
  maxs(i+1) = max(nwi);
end
xlabel(sprintf('Vliajat: %g..%g..%.2g s', min(mins), median(meds), max(maxs)))

