function [] = mkidci()
% mkidci Calculate IDC from all measurements
%  

% $Id: mkidci.m,v 1.1 1997/06/09 05:30:59 puhuri Exp puhuri $
% $Log: mkidci.m,v $
% Revision 1.1  1997/06/09 05:30:59  puhuri
% Initial revision
%
% Revision 1.1  1997/04/24 15:13:39  puhuri
% Initial revision
%
%
%

ts=[0 1 2 5 10 15 20];
ws=[ 1 2 5 10 15 20];

t = logspace(0, 3.6, 132);

[fid, msg] = fopen('../idc_time', 'w');
if fid <= 0,
  disp (sprintf ('fopen: idc_time %s\n', msg));
  return
end
fprintf(fid, '%f \n', t);
fclose(fid);

for ti=1:length(ts),
  for wi=1:length(ws),
    dir=sprintf('../t%02dw%02d', ts(ti), ws(wi));
    [fid, msg] = fopen(sprintf('%s/sending.0.ft', dir));
    if fid > 0,
      fclose(fid);
      tic
      eval(sprintf('cd %s',dir));
      hold off
      m = readmtrx('sending.0.ft')/1e3;
      id = idc (timerange(25e3, 40e3, m, m) , t);
      loglog(t, id, linecolor(0))

      [fid, msg] = fopen(sprintf('idc.%d.txt',0), 'w');
      if fid <= 0,
	disp (sprintf ('fopen: idc.txt %s\n', msg));
	return
      end
      fprintf(fid, '%f \n', id);
      fclose(fid);

      hold on
      if ws(wi) > 1,
	for i = 2:ws(wi),
	  m = readmtrx(sprintf('sending.%d.ft', i-1))/1e3;
	  id = idc (timerange(25e3, 44.99e3, m, m)-25e3 , t);
	  loglog(t, id, linecolor(i-1))

	  [fid, msg] = fopen(sprintf('idc.%d.txt',i-1), 'w');
	  if fid <= 0,
	    disp (sprintf ('fopen: idc.txt %s\n', msg));
	    return
	  end
	  fprintf(fid, '%f \n', id);
	  fclose(fid);
	end
      end
      xlabel('t [ms]')
      ylabel('I(t)')
      axis([0 4e3 0.1 1e3])
      disp(sprintf('%s: %f', dir, toc))
      print -deps2 idc.eps
    end
  end
end
